<bugID>1355874<Summary>Consider replacing .forEach with for of loops where easily possible</Summary><Description>forEach adds overhead (eg. see this profile: https://perfht.ml/2oyWRLz), in most cases it could be replaced with for..of</Description></bugID>